
variable "env_id" {}
variable "director_internal_ip" {}
variable "internal_gw" {}
variable "jumpbox_ip" {}
variable "network_name" {}
variable "vcenter_cluster" {}
variable "vsphere_subnet" {}
variable "vcenter_user" {}
variable "vcenter_password" {}
variable "vcenter_ip" {}
variable "vcenter_dc" {}
variable "vcenter_rp" {}
variable "vcenter_ds" {}
variable "vcenter_templates_folder" {
	default = "khaleesi_templates"
}
variable "vcenter_vms_folder" {
	default = "khaleesi_vms"
}
variable "vcenter_disks_folder" {
	default = "khaleesi"
}

output "internal_cidr" { value = "${var.vsphere_subnet}" }
output "internal_gw" { value = "${var.internal_gw}" }
output "network_name" { value = "${var.network_name}" }
output "vcenter_cluster" { value = "${var.vcenter_cluster}" }
output "jumpbox_url" { value = "${var.jumpbox_ip}:22" }
output "external_ip" { value = "${var.jumpbox_ip}" }
output "jumpbox__internal_ip" { value = "${var.jumpbox_ip}" }
output "director__internal_ip" { value = "${var.director_internal_ip}" }
output "director_name" { value = "bosh-${var.env_id}" }
output "vcenter_disks" { value = "${var.vcenter_disks_folder}" }
output "vcenter_vms" { value = "${var.vcenter_vms_folder}" }
output "vcenter_templates" { value = "${var.vcenter_templates_folder}" }
output "vcenter_ip" { value = "${var.vcenter_ip}" }
output "vcenter_dc" { value = "${var.vcenter_dc}" }
output "vcenter_rp" { value = "${var.vcenter_rp}" }
output "vcenter_ds" { value = "${var.vcenter_ds}" }
